#
# spec file for package greenbone-security-assistant
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Johann LUCE.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           greenbone-security-assistant
Version:        4.0.2
Release:        5.1
Url:            http://www.openvas.org
Source0:        %{name}-%{version}.tar.gz
Source1:        gsad.logrotate
Source2:        debian.greenbone-security-assistant.default
Source3:        gsad.init.suse
Source4:        gsad.init.fedora
Source5:        gsad.init.mandriva
Source6:        greenbone-security-assistant.service
Patch1:         greenbone-security-gcrypt_version.patch	
Patch2:         greenbone-security-assistant-fix-new-glib.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?mandriva_version}
BuildRequires:  pinentry-gtk2
%if 0%{?mandriva_version} < 201000
BuildRequires:  libxslt-proc
%else
BuildRequires:  xsltproc
%endif
%endif

%if 0%{?suse_version}
BuildRequires:  fdupes
PreReq:         %insserv_prereq
PreReq:         %fillup_prereq
%if 0%{?suse_version} > 1220
BuildRequires:  systemd
%systemd_requires
%endif
%endif

BuildRequires:  cmake >= 2.6.0
BuildRequires:  doxygen
BuildRequires:  glib2-devel
BuildRequires:  libmicrohttpd-devel
BuildRequires:  libopenvas-devel
BuildRequires:  libxslt-devel
BuildRequires:  pkgconfig
Requires:       logrotate
Summary:        The Greenbone Security Assistant
License:        GPL-2.0
Group:          Productivity/Networking/Security

%description
The Greenbone Security Assistant is a web application that
connects to the OpenVAS Manager and OpenVAS Administrator
to provide for a full-featured user interface for
vulnerability management.


%prep
%setup -q
%if 0%{?suse_version}
%patch1 -p1
%endif
%patch2 -p1

%build
%if 0%{?mandriva_version}
%serverbuild
%endif

export CFLAGS="%{optflags}"

cmake -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DSYSCONFDIR=%{_sysconfdir} \
        -DLOCALSTATEDIR=%{_localstatedir} 

%__make %{?_smp_mflags} VERBOSE=1

%install
%__make install DESTDIR=%{buildroot}
%__install -D -m 644 %{_sourcedir}/gsad.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/greenbone-security-assistant

%if 0%{?suse_version}
%__install -D -m 755 %{_sourcedir}/gsad.init.suse %{buildroot}%{_initrddir}/greenbone-security-assistant
%__ln_s %{_initrddir}/greenbone-security-assistant %{buildroot}%{_sbindir}/rcgreenbone-security-assistant
%__install -D -m 644 %{_sourcedir}/debian.greenbone-security-assistant.default %{buildroot}%{_var}/adm/fillup-templates/sysconfig.greenbone-security-assistant
%if 0%{?suse_version} > 1220
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system
install -m 644 $RPM_SOURCE_DIR/greenbone-security-assistant.service $RPM_BUILD_ROOT/usr/lib/systemd/system/greenbone-security-assistant.service
%endif
%fdupes %{buildroot}%{_datadir}/openvas/
%endif

%if 0%{?fedora_version} || 0%{?scientificlinux_version}
%__install -D -m 755 %{_sourcedir}/gsad.init.fedora %{buildroot}%{_initrddir}/greenbone-security-assistant
%__install -D -m 644 %{_sourcedir}/debian.greenbone-security-assistant.default %{buildroot}%{_sysconfdir}/sysconfig/greenbone-security-assistant
%endif

%if 0%{?mandriva_version}
%__install -D -m 755 %{_sourcedir}/gsad.init.mandriva %{buildroot}%{_initrddir}/greenbone-security-assistant
%__install -D -m 644 %{_sourcedir}/debian.greenbone-security-assistant.default %{buildroot}%{_sysconfdir}/sysconfig/greenbone-security-assistant
%endif

%__mkdir_p %{buildroot}%{_localstatedir}/log/openvas
touch %{buildroot}%{_localstatedir}/log/openvas/gsad.log

%clean
test "%{buildroot}" != "/" && %__rm -rf %{buildroot}

%pre
%if 0%{?suse_version} > 1220
%service_add_pre greenbone-security-assistant.service
%endif

%post
%if 0%{?suse_version}
%fillup_and_insserv greenbone-security-assistant
%if 0%{?suse_version} > 1220
%service_add_post greenbone-security-assistant.service
%endif
%endif

%if 0%{?mandriva_version}
%_post_service greenbone-security-assistant
%endif

%if 0%{?fedora_version} || 0%{?scientificlinux_version}
# only rpm -i (not rpm {-U|-F})
if [ $1 = 1 ]; then
	/sbin/chkconfig --add greenbone-security-assistant
fi
%endif

%preun
%if 0%{?suse_version}
%stop_on_removal greenbone-security-assistant
%if 0%{?suse_version} > 1220
%service_del_preun greenbone-security-assistant.service
%endif
%endif

%if 0%{?mandriva_version}
%_preun_service greenbone-security-assistant
%endif

%if 0%{?fedora_version} || 0%{?scientificlinux_version}
# only rpm -e (not rpm {-U|-F})
if [ $1 = 0 ]; then
    /sbin/service greenbone-security-assistant stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del greenbone-security-assistant
fi
%endif

%postun
%if 0%{?suse_version}
%restart_on_update greenbone-security-assistant
%insserv_cleanup
%if 0%{?suse_version} > 1220
%service_del_postun greenbone-security-assistant.service
%endif
%endif

%if 0%{?fedora_version} || 0%{?scientificlinux_version}
# only rpm {-U|-F} (not rpm -e)
if [ $1 = 1 ]; then
    /sbin/service greenbone-security-assistant condrestart
fi
%endif

%files
%defattr(-,root,root)
%doc COPYING
%config(noreplace) %{_sysconfdir}/logrotate.d/greenbone-security-assistant
%dir %{_sysconfdir}/openvas
%config(noreplace) %{_sysconfdir}/openvas/gsad_log.conf
%{_initrddir}/greenbone-security-assistant
%{_sbindir}/gsad
%{_mandir}/man8/gsad.8*
%dir %{_datadir}/openvas
%{_datadir}/openvas/gsa
%dir %{_localstatedir}/log/openvas
%ghost %{_localstatedir}/log/openvas/gsad.log

%if 0%{?suse_version}
%{_sbindir}/rcgreenbone-security-assistant
%{_var}/adm/fillup-templates/sysconfig.greenbone-security-assistant
%if 0%{?suse_version} > 1220
   /usr/lib/systemd/system/greenbone-security-assistant.service
%endif
%else
%config(noreplace) %{_sysconfdir}/sysconfig/greenbone-security-assistant
%endif

%changelog
* Thu Sep 29 2016 meissner@suse.com
- greenbone-security-assistant-fix-new-glib.patch: redefine FATAL_MASK
  later to make it build. bsc#1001971
* Wed Jul  9 2014 meissner@suse.com
- include COPYING in documentation
* Fri Oct 25 2013 johann.luce@wanadoo.fr
- Update in 4.0.2
  * Improved input validation for several dialogs.
  * Added new note and override buttons on the New Note page.
  * Added section "Host Identifcation" to Asset Details.
  * Improved schedules regarding timezone.
  * Bug fixes to preserve filtering in some places.
  * Buf fix for report download to consider the current overrides setting
    instead of applying overrides always.
  * Bug fix to keep override setting when jumping to a report from task view.
  * Bug fix to preserve overrides setting across actions on task page.
  * Bug fix regarding change of a users password.
  * Bug fix to avoid NOSUMMARY tooltip that occured for newstyle NVTs.
  * Improved error handling for XSL transformations.
  * Various little bug fixes.
* Fri Sep 13 2013 johann.luce@wanadoo.fr
- Fix changes file for factory
* Wed Sep 11 2013 johann.luce@wanadoo.fr
- Fix fdupes problem for factory
  Fix CMAKE problem for factory
* Thu Sep  5 2013 johann.luce@wanadoo.fr
- Add Copyright in specfile
* Thu Aug 29 2013 johann.luce@wanadoo.fr
- Add systemd init script for opensuse
* Mon Jul 29 2013 arau@arxcorp.com
- Updated greenbone-security-assistant.dsc to new version number so compiled
  package reflects new version number
* Wed Jul 10 2013 johann.luce@wanadoo.fr
-Update to 4.0.1
    Main changes since 4.0.0:
  * A bug which cause targets and scan configs to be lost when editing tasks has
    been fixed.
  * A number of broken internal links inside the online help have been fixed.
  * A bug which caused alerts to be ignored when creating tasks has been fixed.
  * A bug which selected the delta report functionality when a report was deleted
    has been fixed.
  * The documentation of the result powerfilter has been improved.
* Mon Apr 22 2013 johann.luce@wanadoo.fr
- Add greenbone-security-gcrypt_version.patch to fix GCRYPT_VERSION Bug
* Thu Apr 18 2013 johann.luce@wanadoo.fr
-Update to 4.0.0
    main changes since 3.0.x:
  * Increase dependencies to GnuTLS 2.8 and libraries 6.0.
  * Renamed "Escalator" to "Alert".
  * Added keyword filter, pagination, export and edit to Targets.
  * "New Target" now a page of its own.
  * The CMake infrastructure has been cleaned up to ensure that compilation with
    modern gccs works.
  * Support for OMP capabilities has been added.
  * Support for Auto-FP feature and trusted vendor updates has been added.
  * Support for multiple alerts per task has been added.
  * Support for a wizard for new users has been added.
  * Support for filter management has been added.
  * Powerfilters are now available in more places.
  * CPE Management has been improved.
  * Support for browsing the CVE database has been added.
  * Support for accessing OVAL and DFN-CERT data has been added.
  * Powerfilters have been improved and are now available in more places.
  * SCAP synchronization can now be triggered from the web interface.
  * Date selection for schedules has been improved.
  * The documentation available through the Help menu has been updated and
    extended.
  * Exporting and editing is now supported for more objects.
  * Add summary and detection sections in NVT details.
  * Adapt results details to NVT description content break-up.
  * ovaldefs and dfn-cert output and doc update.
  * URI encode filter terms in HTTP links
* Tue Jan  8 2013 johann.luce@wanadoo.fr
- add 0%%{?xulrunner_version} < 15 for Tumblweed
* Tue Jan  8 2013 johann.luce@wanadoo.fr
- add fix_deprecated-declarations.patch for compil opensuse factory and Tumblweed
* Fri Aug 10 2012 bitshuffler@opensuse.org
- Updated to 3.0.3
  * Fix security issue that allowed registered users to craft URLs
    that can kill the GSA daemon (Denial of Service).
  * Bugfix to not mix summary and comment for report format plugins.
  * Improved build system.
  * Bugfix to allow newlines in preference:value, because the value
    could be a file.
  * Bugfix to validate SSH port only if SSH credential is given.
  * Bugfix to add references for second result in delta "changed" case.
  * Bugfix to re-enable PDF as default download.
  * Bugfix to avoid broken URLs for CVEs.
* Sat May 12 2012 bitshuffler@opensuse.org
- Updated to 3.0.1
  * The minimum version requirements for the glib and gnutls libraries have been
    set to the minimum requirements of OpenVAS Libraries (2.16 for glib and 2.2
    for gnutls).
  * The CMake infrastructure has been cleaned up to ensure that compilation with
    modern gccs works.
  * The validation of scan config comments has been improved.
  * A compatibility issue with Firefox 3.5 has been resolved.
  * New: Per-user LDAP authentication configurable.
  * Allow to create notes/overrides for observed tasks.
  * Allows ',' as separator for observer lists.
  * New feature Port Lists.
  * New references info box in results view.
  * New product detection info box in results view.
  * Allow target list upload from file.
  * Various bug fixes.
* Sat Dec  3 2011 bitshuffler@opensuse.org
- Updated to 3.0+beta8
  * The navigation when viewing delta reports had been improved.
  * Support for note lifetimes has been added.
  * Support for empty passwords has been added.
  * Input validation has been improved.
* Thu Nov 24 2011 bitshuffler@opensuse.org
- Updated to 3.0+beta7
  * Support for improved handling of ISO timestamps has been added.
  * A number of visual inconsistencies in the asset management have been
    addressed.
  * A bug with cause override information to be displayed even when no overrides
    were applied has been fixed.
* Thu Nov 17 2011 bitshuffler@opensuse.org
- Updated to 3.0+beta6
  * Support for changing user passwords has been added.
  * Support for listing NVTs addressing a certain CVE has been added.
  * Support for listing CVEs affecting a certain CPE has been added.
  * Support for exporting notes and overrides has been added.
  * A bug which caused sessions to expire prematurely with some browsers has been
    fixed.
  * Support for displaying the SCAP update timestamp has been added.
  * Support for override lifetimes has been added.
  * A bug which caused valid hostnames to be rejected in the LDAP host field has
    been fixed.
* Sat Nov 12 2011 bitshuffler@opensuse.org
- Updated to 3.0+beta5
  * Support for asset management has been added.
  * The internal handling of request parameters has been improved.
  * The user interface design has been updated.
  * Support for prognostic scans has been added.
  * Support for task observers has been added.
  * Support for displaying SCAP data has been added.
  * Support for individual user settings has been added.
  * Support for individual time zones for users has been added.
  * A number of inconsistencies in the interface have been addressed.
  * Support for displaying delta reports has been improved.
  * Support for viewing individual result details has been improved.
  * The max_host and max_checks scan performance parameters have been moved from
    scan configs to tasks.
  * Support for displaying delta reports has been added.
  * Support for showing detected operating systems has been improved.
  * Support for uploading additional reports to a container task has been added.
  * A number of compiler warnings discovered by Stephan Kleine have been
    addressed.
  * An issue which caused uploaded PKCS #12 certificates to be incorrectly
    truncated has been fixed.
  * The display of command results has been improved.
  * Support for displaying the hostname in the result has been added.
  * Support for viewing individual result details has been added.
* Sat May 21 2011 bitshuffler@opensuse.org
- Updated to 3.0+beta2
  * Limitations on passwords allowed for LSC credentials have been reduced
    further.
  * GET and POST requests are now used consistently throughout the GSA.
  * The GSA no longer terminates upon receiving a SIGHUP signal to better match
    expected behavior.
  * New feature: Trashcan. It is now possible to place objects in a trashcan
    instead of deleting them directly.
  * The login behaviour has been improved.
  * Support for Host Details reported by OpenVAS Scanner has been added.
  * Support for container task (imported reports) has been added.
  * Support for specifying an SSH port for Local Security Checks has been added.
  * Support for escalating result to a Sourcefire Defense Center has been added.
  * Support for using an SSH key pair for SSH authentication has been added.
  * Support for setting the number of results displayed on one page has been
    added.
* Wed Mar  2 2011 bitshuffler@opensuse.org
- Updated to 2.0.1
  * Two memory leaks discovered by Pavel Sejnoha and one resource leak discovered
    by Felix Wolfsteller have been closed.
  * GSA now does XSL transformation in a separate process by default.
* Wed Feb 23 2011 bitshuffler@opensuse.org
- Updated to 2.0.0
  * The JavaScript indicator has been improved.
  * GSA now checks for required libxml threading support.
  * The cookie base session identification has been improved.
  * An issue with parsing the session cookie has been fixed.
  * The handling of POST requests after a relogin has been improved.
  * The documentation and the build environment have been updated.
  * The scan config overview now shows the number of selected NVT through family
    selection as well.
  * A JavaScript indicator has been added.
  * Support for fallback system reports has been added.
  * An issue which caused logins to fail under certain circumstances due to overly
    strict input validation has been fixed.
  * The "About" page has been reworked.
  * Cookie base session identification has been added.
* Fri Feb  4 2011 bitshuffler@opensuse.org
- Updated to 1.99.3
  * A notice is added to the log if binding to the default port failed and the
    fallback port was used.
  * GSA now uses pkg-config to find required libraries.
  * The HTTP Basic Auth based session management has been replace with a token
    based session management.
  * GSA now provides a manual page for the gsad binary.
* Wed Jan 26 2011 bitshuffler@opensuse.org
- Updated to 1.99.2
  * The output of --version now complies with the GNU Coding Standards.
  * The range of valid characters for LSC credential passwords has been extended
    further.
  * If no port is specified, GSA will now attempt to listen on the appropriate
    privileged port (80 or 443) and fall back to listening on its default port
    (9392) if those are unavailable.
* Tue Dec 21 2010 bitshuffler@opensuse.org
- Updated to 1.99.1
  * Error handling for reports has been improved.
  * A bug which cause credential comments to be ignored when creating new LSC
    credentials has been fixed.
  * Target credentials for SMB and SSH are now separated.
  * The user interface for displaying filtered reports and for report downloads
    has been improved.
  * Hardening flags are now enabled during compile time to increase code quality.
  * Support for setting the port range for a target has been added.
* Fri Dec  3 2010 bitshuffler@opensuse.org
- Updated to 1.98.1
  * Support for report format plugin framework has been added.
  * Support for master-slave mode has been added.
  * Support for editing credentials has been added.
  * Support for agent verification has been added.
  * Input validation for user names and passwords has been improved.
  * Support for Microsoft Internet Explorer has been improved.
  * The usability and layout of the web interface has been improved.
  * GSA now builds with libmicrohttpd 0.9.2 and above.
* Sun Oct 31 2010 bitshuffler@opensuse.org
- Updated to 1.0.3
  * When creating new credentials, password authentication is now the default.
  * A bug which caused the "Pause" button not to work under certain circumstances
    has been fixed.
  * The handling of errors during the XSL transformation has been improved.
  * The handling of long lines in the XSL transformation has been improved.
  * The range of characters allowed for LSC passwords has been extended.
  * An issue which prevented gsa from building with libmicrohttpd 0.9.2 has been
    fixed.
* Tue Aug 17 2010 bitshuffler@opensuse.org
- Updated to 1.0.2
  * An issue which caused NVT family to be improperly submitted when using
    Microsoft Internet Explorer to edit NVT families has been fixed.
* Mon Aug  9 2010 bitshuffler@opensuse.org
- Updated to 1.0.1
  * A bug which made it impossible to edit families containing a dash in their
    name has been fixed.
  * The scan status and the progress bar are now displayed in the report view as
    well.
  * Task control buttons are now visible on the task summary page as well.
  * Known scanner preferences are now displayed as yes/no radio buttons.
  * The installation instructions have been updated.
* Tue Aug  3 2010 bitshuffler@opensuse.org
- Updated to 1.0.0
  * A bug which caused NVT preferences to be saved incorrectly under certain
    circumstances has been fixed.
* Fri Jul 16 2010 bitshuffler@opensuse.org
- Updated to 1.0.0.rc1
  * Support for LDAP and ADS has been added.
  * A number of changes have been made to stay compatible with the updated OMP
    specification.
  * Initial support for fetching targets from external sources has been added.
  * Support for threat overrides has been added.
  * Support for Syslog and SNMP escalators has been added.
  * Support for agents has been improved.
* Sat May 29 2010 bitshuffler@opensuse.org
- Updated to 1.0.0.beta7
  * An issue which caused empty charts in the performance monitor has been fixed.
  * An issue which caused a new task created with both an escalator and a schedule
    to lose the schedule has been fixed.
  * Support for Internet Explorer 6 clients has been improved.
  * Support for using the "Threat Level Change" escalator condition has been
    added.
  * The handling of uploaded preference files has been improved.
  * The handling of requests for nonexistent pages has been improved.
  * Support for pausing of tasks has been added.
  * Support for displaying CVSS scores and Risk Factor values has been added.
  * The handling of errors during XSL transformation has been improved.
  * The scan start time and end time for individual host are now displayed in the
    report.
  * Support for excluding hosts without results from the report has been added.
  * Support for filtering results based on CVSS scores has been fixed.
* Thu Apr 15 2010 bitshuffler@opensuse.org
- Updated to 1.0.0.beta6
  * Support for ITG and CPE reports has been improved.
  * Support for resuming stopped tasks has been added.
  * Support for task scheduling has been added.
  * Initial support for editing tasks has been added.
  * Support for displaying the version of an installed feed has been added.
  * A number of build issues have been fixed.
  * The documentation available via the "?" icon has been updated.
  * The gsad binary is now installed to /usr/sbin instead of /usr/bin.
* Sat Mar 20 2010 bitshuffler@opensuse.org
- Updated to 1.0.0.beta5
  * Support for notes has been added.
  * Support for ITG and CPE reports has been added.
  * Improved HTTP conformity.
  * Significant speed-up.
  * Various cosmetic changes of the html pages
    as well as of some report types.
* Fri Feb  5 2010 bitshuffler@opensuse.org
- Updated to 1.0.0.beta4
  * Improved HTTP conformity.
  * Improved Feed synchronization support.
  * Improved line wrapping in reports.
  * A bug in the report pagination has been fixed.
* Thu Jan 28 2010 bitshuffler@opensuse.org
- Updated to 1.0.0.beta3
  * Improved HTTP conformity.
  * Fixed resource leak.
  * Improved input checking.
  * Add option to run in chroot.
* Wed Jan 27 2010 bitshuffler@opensuse.org
- Updated to 1.0.0.beta2
  * Integrated online help extended.
  * Improved handling of feed management.
  * Added support for administrator feature to edit
    scanner settings.
  * Added support for administrator feature to edit
    user details (password, IP-based access rules).
  * Allow "\" as part of a credential login name.
  * Remain on the task page after deleting the
    task's last report.
  * Improved handling of XML/HTML report exports.
  * Added command line option "--listen", "--alisten",
    "--mlisten".
* Mon Jan 25 2010 bitshuffler@opensuse.org
- Added /etc/sysconfig/greenbone-security-assistant for easy
  configuration
- Added init script.
- Added logrotate file.
* Sun Jan 17 2010 bitshuffler@opensuse.org
- Initial RPM
